Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ResourceRemovedEvent<T>

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceRemovedEvent<T>

    public class ResourceRemovedEvent<T>
    extends Object

Event indicating that model resources have been removed, which requires updating the graph of dependencies between model resources.

### Constructor Summary

Constructors
`ResourceRemovedEvent​(Set<T> elements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<T>` `getElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceRemovedEvent

    public ResourceRemovedEvent​(Set<T> elements)

### Method Detail

#### getElements

    public Set<T> getElements()